MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Friends
CriticalSection Class Reference

Wrapper for a CRITICAL_SECTION, backend for the Mutex class. More...

`#include <CriticalSection.hxx>`

## Public Member Functions
| CriticalSection ()
| ~CriticalSection ()
| CriticalSection (const CriticalSection &other)=delete
CriticalSection & | operator= (const CriticalSection &other)=delete
void | lock ()
bool | try_lock ()
void | unlock ()

## Friends
class | WindowsCond

## Detailed Description

Wrapper for a CRITICAL_SECTION, backend for the Mutex class.

Definition at line 38 of file CriticalSection.hxx.

## Constructor & Destructor Documentation

CriticalSection::CriticalSection | ( |  | ) |
| inline

Definition at line 44 of file CriticalSection.hxx.

CriticalSection::~CriticalSection | ( |  | ) |
| inline

Definition at line 48 of file CriticalSection.hxx.

CriticalSection::CriticalSection | ( | const CriticalSection & | other | ) |
| delete

## Member Function Documentation

void CriticalSection::lock | ( |  | ) |
| inline

Definition at line 55 of file CriticalSection.hxx.

CriticalSection& CriticalSection::operator= | ( | const CriticalSection & | other | ) |
| delete

bool CriticalSection::try_lock | ( |  | ) |
| inline

Definition at line 59 of file CriticalSection.hxx.

void CriticalSection::unlock | ( |  | ) |
| inline

Definition at line 63 of file CriticalSection.hxx.

## Friends And Related Function Documentation

friend class WindowsCond
| friend

Definition at line 39 of file CriticalSection.hxx.

The documentation for this class was generated from the following file:

- thread/CriticalSection.hxx